# Ogre::GpuProgramParameters::AutoConstantEntry Class Reference

Structure recording the use of an automatic parameter. More...

`#include <OgreGpuProgram.h>`

List of all members.

## Public Member Functions

| AutoConstantEntry (AutoConstantType theType, size_t theIndex, size_t theData)
| AutoConstantEntry (AutoConstantType theType, size_t theIndex, Real theData)

## Public Attributes

AutoConstantType | paramType
| The type of parameter.
size_t | index
| The target constant index.

## Detailed Description

Structure recording the use of an automatic parameter.

Definition at line 282 of file OgreGpuProgram.h.

## Constructor & Destructor Documentation

Ogre::GpuProgramParameters::AutoConstantEntry::AutoConstantEntry | ( | AutoConstantType | theType,
|  | size_t | theIndex,
|  | size_t | theData
| ) |

| Definition at line 295 of file OgreGpuProgram.h.

Ogre::GpuProgramParameters::AutoConstantEntry::AutoConstantEntry | ( | AutoConstantType | theType,
|  | size_t | theIndex,
|  | Real | theData
| ) |

| Definition at line 298 of file OgreGpuProgram.h. References Ogre::Real.

## Member Data Documentation

size_t Ogre::GpuProgramParameters::AutoConstantEntry::data

| Definition at line 291 of file OgreGpuProgram.h. Referenced by Ogre::Renderable::_updateCustomGpuParameter().

Real Ogre::GpuProgramParameters::AutoConstantEntry::fData

| Definition at line 292 of file OgreGpuProgram.h.

size_t Ogre::GpuProgramParameters::AutoConstantEntry::index

| The target constant index. Definition at line 288 of file OgreGpuProgram.h. Referenced by Ogre::Renderable::_updateCustomGpuParameter().

AutoConstantType Ogre::GpuProgramParameters::AutoConstantEntry::paramType

| The type of parameter. Definition at line 286 of file OgreGpuProgram.h.

The documentation for this class was generated from the following file:

- OgreGpuProgram.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Feb 12 13:00:35 2006